function test_gui_position

param = getstyleparam;
marg = 4;
% Necessary additions to param
param.parent.leftmargin = 4;
param.parent.rightmargin = 4;
param.parent.topmargin = 4;
param.parent.botmargin = 4;
param.parent.xstretch = 0;
param.parent.ystretch = 0;

param.spacing.min_interline = 3;
param.spacing.hdefault = 4;
param.spacing.default = 4;


fig = figure;


%%%%%%%%%%%%%%% Create all UI Controls %%%%%%%%%%%%%%%%%%%%%%%%%%
b1 = uipush('button1');
b2 = uipush('button2');
b3 = uipush('button3');
b4 = uipush('button4');
pwid = 100;
pht = 100;
p1 = uipanel('Units','pixels','Position',[1,1,pwid,pht]);
%%%%%%%%%%%%%%%%%%%% Categorize all UI Controls %%%%%%%%%%%%%%%%%%%%%%%%
button_h = [b1,b2,b3,b4];
panel_h = [p1];
%%%%%%%%%%%%%%%%%%%%%%%% Style all UI controls %%%%%%%%%%%%%%%%%%%%%%%%%%
styleui({button_h,panel_h},param,{'button','panel'});
%%%%%%%%%%%%%%%%%%% Size all UI Controls %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
sizeui({button_h,panel_h},param,{'button','panel'});
%%%%%%%%%%%%%%%%%%%% Define GUI Layout %%%%%%%%%%%%%%%%%%%%%%%%%%%%
layout = {
    {'ghost',b1,b1,'ghost',b1};
    {'ghost',b1,b1,'ghost',b2};
    {b3,b4};
    {p1};
    {'vrubber:1'};
    };

% panel_layout = {
%     {'parent',p1};
%     {b3,'space:10',b4,'space:100'};
%     };
% layout = {
%     {'parent',fig};
%     {b1};
%     {'center',panel_layout,'vmidalign',b2};
%     };


% layout = {
%     {'parent',fig};
%     {'vrubber:1'};
%     {'center',b1,'settab1'};
%     {'vrubber:1','vspace:100','tab1','vtopalign',b2,'vmidalign',b3,'vbotalign',b4};
%     {'vrubber:1'};
%     };
%%%%%%%%%%%%%%%%%%%% Position all UI Controls %%%%%%%%%%%%%%%%%%%%%%%%%%%%
gui_position(layout,param);
%%%%%%%%%%%%%%%%%%%%% Set up output %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(fig,'ResizeFcn',{@gui_position_wrapper,layout,param});